﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.LogTransaction ;

<table border="0" cellpadding="2" cellspacing="2">
<tr>
    <td style="width: 100px">
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Log Header ID";
                }).GetHtml()
    </td>
    <td>
        @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "LogID";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
    </td>
</tr>

<tr>
    <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Process ID";
                }).GetHtml()
    </td>
    <td>
         @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessID";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
    </td>
</tr>

<tr>
    <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest No.";
                }).GetHtml()
    </td>
    <td>
        @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ManifestNo";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
    </td>
</tr>

</table>

<table cellpadding="0" cellspacing="0" width="243">
    <tr>
        <td align="left">
            
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    //button.ClientSideEvents.Click = "function(s,e) {  gridLogHeader.PerformCallback(); }";
                    button.ClientSideEvents.Click = "function(s,e) {  gridLogHeader.PerformCallback(); }";

                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearGrid";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
